from pyGridWare.generated.stubs.SecureConversation_services import *
from pyGridWare.wsrf.resource import WSResource

class SecureConversation(WSResource):
    soapAction = {
        'http://wsrf.globus.org/core/2004/07/security/secconv/SecureConversation/RequestSecurityTokenRequest': 'wsa_RequestSecurityToken',
        'http://wsrf.globus.org/core/2004/07/security/secconv/SecureConversation/RequestSecurityTokenResponseRequest': 'wsa_RequestSecurityTokenResponse',
        }
    wsAction = {
        'wsa_RequestSecurityToken': 'http://wsrf.globus.org/core/2004/07/security/secconv/SecureConversation/RequestSecurityTokenResponse',
        'wsa_RequestSecurityTokenResponse': 'http://wsrf.globus.org/core/2004/07/security/secconv/SecureConversation/RequestSecurityTokenResponseResponse',
        }

    def __init__(self, post='/wsrf/services/', **kw):
        WSResource.__init__(self, post)

    def wsa_RequestSecurityToken(self, ps, address):
        # input vals in request object
        self.request = ps.Parse(RequestSecurityTokenMsg())

        # assign return values to response object
        response = RequestSecurityTokenResponseMsg()

        return response

    def wsa_RequestSecurityTokenResponse(self, ps, address):
        # input vals in request object
        self.request = ps.Parse(RequestSecurityTokenResponseMsg())

        # assign return values to response object
        response = RequestSecurityTokenResponseMsg()

        return response
